### Method

# Foundry DocumentationBundle install

#### Declaration [src]

    DexFuture*
    foundry_documentation_bundle_install (
      FoundryDocumentationBundle* self,
      FoundryOperation* operation,
      DexCancellable* cancellable
    )

#### Description

No description available.

#### Parameters

`operation`

  Type: `FoundryOperation`

  A `FoundryOperation` to be updated by the provider.

  The data is owned by the caller of the method.

`cancellable`

  Type: `DexCancellable`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.